package com.huimv.manage.exception;

import lombok.Getter;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Getter
public class APIException extends RuntimeException{
    private int code;
    private String msg;
    public APIException() {
        this(ResultCode.FAILED);
    }
    public APIException(ResultCode failed) {
        this.code=failed.getCode();
        this.msg=failed.getMsg();
    }
}
